using System;
using System.Collections.Generic;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_JenisKempen")]
    public class JenisKempen
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int JenisKempenID { get; set; }

        [Required]
        [StringLength(250)]
        public string JenisKempenName { get; set; }

        [Required]
        public int JenisKempenKategoriSysID { get; set; }
        
        [StringLength(50)]
        public string ReMSTempTableName { get; set; }

        [StringLength(50)]
        public string ReMSTableName { get; set; }

        [StringLength(50)]
        public string ReMSMappingTableName { get; set; }

        [Required]
        public bool IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Required]
        public DateTime CreatedDatetime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Required]
        public DateTime LastUpdatedDatetime { get; set; }
    }
}
